﻿;;; ============================================================================
;;; ---------------- GUI_Toggle がよびだされたときは設定画面の表示を切り替える
;;; ============================================================================


GUI_Toggle(bSuspended) {
    global name_of_EnglishLayout
    global name_of_JapaneseLayout

	global dvorakj_dir

;    Suspend, toggle

    If ( bSuspended )
    {
        Menu, Tray, Icon
            , %dvorakj_dir%\icon\off.ico

Menu, Tray, Tip, % Array("DvorakJ - 無効"
    , name_of_EnglishLayout
    , name_of_JapaneseLayout).join()


		;; 直接入力用配列の項目を書き換える
        GuiControl, Disable, Static1
		;; 日本語入力用配列の項目を書き換える
        GuiControl, Disable, Static2
    }
    else
    {
        Menu, Tray, Icon
            , %dvorakj_dir%\icon\on.ico

Menu, Tray, Tip, % Array("DvorakJ"
    , name_of_EnglishLayout
    , name_of_JapaneseLayout).join()

		;; 直接入力用配列の項目を書き換える
        GuiControl, Enable, Static1
		;; 日本語入力用配列の項目を書き換える
        GuiControl, Enable, Static2
    }

    return
}
